io.undertow.io

## Class AsyncSenderImpl.TransferTask

- java.lang.Object
- - io.undertow.io.AsyncSenderImpl.TransferTask

All Implemented Interfaces:
  Runnable, EventListener, org.xnio.ChannelListener<org.xnio.channels.StreamSinkChannel>

Enclosing class:
  AsyncSenderImpl

    public class AsyncSenderImpl.TransferTask
    extends Object
    implements Runnable, org.xnio.ChannelListener<org.xnio.channels.StreamSinkChannel>

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.xnio.ChannelListener

`org.xnio.ChannelListener.Setter<T extends Channel>, org.xnio.ChannelListener.SimpleSetter<T extends Channel>`

### Constructor Summary

Constructors
Constructor and Description
`TransferTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleEvent(org.xnio.channels.StreamSinkChannel channel)`
`void` `run()`
`boolean` `run(boolean complete)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransferTask

    public TransferTask()

### Method Detail

#### run

    public boolean run(boolean complete)

#### handleEvent

    public void handleEvent(org.xnio.channels.StreamSinkChannel channel)

Specified by:
  `handleEvent` in interface `org.xnio.ChannelListener<org.xnio.channels.StreamSinkChannel>`

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`